<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'larajobs',

    /*
     * Package.
     */
    'package'   => 'job',

    /*
     * Modules.
     */
    'modules'   => ['job', 
'company', 
'resume'],

    'job'       => [
        'model' => [
            'model'                 => \Larajobs\Job\Models\Job::class,
            'table'                 => 'jobs',
            'presenter'             => \Larajobs\Job\Repositories\Presenter\JobPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'employer_id',  'category_id',  'subcategory_id',  'company_id',  'title',  'designation',  'experience',  'qualification',  'email',  'salary_range',  'job_type',  'job_tags',  'vacancies',  'location',  'closing_date',  'description',  'responsibilities',  'featured',  'status',  'slug',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'job/job',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Larajobs',
            'package'   => 'Job',
            'module'    => 'Job',
        ],

    ],

    'company'       => [
        'model' => [
            'model'                 => \Larajobs\Job\Models\Company::class,
            'table'                 => 'companies',
            'presenter'             => \Larajobs\Job\Repositories\Presenter\CompanyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'industry_id',  'name',  'email',  'phone',  'website',  'address',  'country',  'state',  'city',  'street',  'zip_code',  'details',  'logo',  'status',  'featured',  'facebook',  'twitter',  'linkedin',  'instagram',  'current_employee',  'google',  'slug',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'job/company',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Larajobs',
            'package'   => 'Job',
            'module'    => 'Company',
        ],

    ],

    'resume'       => [
        'model' => [
            'model'                 => \Larajobs\Job\Models\Resume::class,
            'table'                 => 'resumes',
            'presenter'             => \Larajobs\Job\Repositories\Presenter\ResumePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'employee_id',  'category_id',  'industry_id',  'location',  'name',  'slug',  'title',  'email',  'work_level',  'salary_exp',  'mobile',  'tags',  'total_exp',  'skills',  'languages',  'content',  'social_network',  'education',  'experience',  'personal_info',  'resume',  'photo',  'upload_folder',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'job/resume',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Larajobs',
            'package'   => 'Job',
            'module'    => 'Resume',
        ],

    ],
];
