<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateJobsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: jobs
         */
        Schema::create('jobs', function ($table) {
            $table->increments('id');
            $table->integer('employer_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('subcategory_id')->nullable();
            $table->integer('company_id')->nullable();
            $table->string('title', 255)->nullable();
            $table->string('designation', 255)->nullable();
            $table->text('experience')->nullable();
            $table->string('qualification', 255)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('salary_range', 255)->nullable();
            $table->text('job_type')->nullable();
            $table->text('job_tags')->nullable();
            $table->integer('vacancies')->nullable();
            $table->text('location')->nullable();
            $table->text('closing_date')->nullable();
            $table->text('description')->nullable();
            $table->text('responsibilities')->nullable();
            $table->text('featured')->nullable();
            $table->enum('status', ['Publish','Unpublish'])->nullable();
            $table->string('slug', 200)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('jobs');
    }
}
