<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateResumesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: resumes
         */
        Schema::create('resumes', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->integer('employee_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('industry_id')->nullable();
            $table->string('location', 50)->nullable();
            $table->string('name', 50)->nullable();
            $table->string('slug', 30)->nullable();
            $table->string('title', 255)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('work_level', 100)->nullable();
            $table->string('salary_exp', 50)->nullable();
            $table->string('mobile', 25)->nullable();
            $table->text('tags')->nullable();
            $table->string('total_exp', 50)->nullable();
            $table->string('skills', 100)->nullable();
            $table->text('languages')->nullable();
            $table->text('content')->nullable();
            $table->text('social_network')->nullable();
            $table->text('education')->nullable();
            $table->text('experience')->nullable();
            $table->text('personal_info')->nullable();
            $table->text('resume')->nullable();
            $table->text('photo')->nullable();
            $table->string('upload_folder', 255)->nullable();
            $table->enum('status', ['Confirmed','Suspended'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('resumes');
    }
}
