<?php

namespace Larajobs\Job\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Larajobs\Job\Interfaces\CompanyRepositoryInterface;

class CompanyPublicController extends BaseController
{
    // use CompanyWorkflow;

    /**
     * Constructor.
     *
     * @param type \Larajobs\Company\Interfaces\CompanyRepositoryInterface $company
     *
     * @return type
     */
    public function __construct(CompanyRepositoryInterface $company)
    {
        $this->repository = $company;
        parent::__construct();
    }

    /**
     * Show company's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $companies = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$job::company.names'))
            ->view('job::company.index')
            ->data(compact('companies'))
            ->output();
    }


    /**
     * Show company.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $company = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$company->name . trans('job::company.name'))
            ->view('job::company.show')
            ->data(compact('company'))
            ->output();
    }

}
