<?php

namespace Larajobs\Job;

use User;

class Job
{
    /**
     * $job object.
     */
    protected $job;
    /**
     * $company object.
     */
    protected $company;
    /**
     * $resume object.
     */
    protected $resume;

    /**
     * Constructor.
     */
    public function __construct(\Larajobs\Job\Interfaces\JobRepositoryInterface $job,
        \Larajobs\Job\Interfaces\CompanyRepositoryInterface $company,
        \Larajobs\Job\Interfaces\ResumeRepositoryInterface $resume)
    {
        $this->job = $job;
        $this->company = $company;
        $this->resume = $resume;
    }

    /**
     * Returns count of job.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.job.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->job->pushCriteria(new \Litepie\Larajobs\Repositories\Criteria\JobUserCriteria());
        }

        $job = $this->job->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('job::' . $view, compact('job'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.company.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->company->pushCriteria(new \Litepie\Larajobs\Repositories\Criteria\CompanyUserCriteria());
        }

        $company = $this->company->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('job::' . $view, compact('company'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.resume.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->resume->pushCriteria(new \Litepie\Larajobs\Repositories\Criteria\ResumeUserCriteria());
        }

        $resume = $this->resume->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('job::' . $view, compact('resume'))->render();
    }
}
