<?php

namespace Larajobs\Job\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Job policy
        'Larajobs\Job\Models\Job' => \Larajobs\Job\Policies\JobPolicy::class,
// Bind Company policy
        'Larajobs\Job\Models\Company' => \Larajobs\Job\Policies\CompanyPolicy::class,
// Bind Resume policy
        'Larajobs\Job\Models\Resume' => \Larajobs\Job\Policies\ResumePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
