<?php

namespace Larajobs\Job\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CompanyTransformer extends TransformerAbstract
{
    public function transform(\Larajobs\Job\Models\Company $company)
    {
        return [
            'id'                => $company->getRouteKey(),
            'key'               => [
                'public'    => $company->getPublicKey(),
                'route'     => $company->getRouteKey(),
            ], 
            'id'                => $company->id,
            'industry_id'       => $company->industry_id,
            'name'              => $company->name,
            'email'             => $company->email,
            'phone'             => $company->phone,
            'website'           => $company->website,
            'address'           => $company->address,
            'country'           => $company->country,
            'state'             => $company->state,
            'city'              => $company->city,
            'street'            => $company->street,
            'zip_code'          => $company->zip_code,
            'details'           => $company->details,
            'logo'              => $company->logo,
            'status'            => $company->status,
            'featured'          => $company->featured,
            'facebook'          => $company->facebook,
            'twitter'           => $company->twitter,
            'linkedin'          => $company->linkedin,
            'instagram'         => $company->instagram,
            'current_employee'  => $company->current_employee,
            'google'            => $company->google,
            'slug'              => $company->slug,
            'user_id'           => $company->user_id,
            'user_type'         => $company->user_type,
            'upload_folder'     => $company->upload_folder,
            'deleted_at'        => $company->deleted_at,
            'created_at'        => $company->created_at,
            'updated_at'        => $company->updated_at,
            'url'               => [
                'public'    => trans_url('job/'.$company->getPublicKey()),
                'user'      => guard_url('job/company/'.$company->getRouteKey()),
            ], 
            'status'            => trans('app.'.$company->status),
            'created_at'        => format_date($company->created_at),
            'updated_at'        => format_date($company->updated_at),
        ];
    }
}