<?php

namespace Larajobs\Job\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class JobTransformer extends TransformerAbstract
{
    public function transform(\Larajobs\Job\Models\Job $job)
    {
        return [
            'id'                => $job->getRouteKey(),
            'key'               => [
                'public'    => $job->getPublicKey(),
                'route'     => $job->getRouteKey(),
            ], 
            'id'                => $job->id,
            'employer_id'       => $job->employer_id,
            'category_id'       => $job->category_id,
            'subcategory_id'    => $job->subcategory_id,
            'company_id'        => $job->company_id,
            'title'             => $job->title,
            'designation'       => $job->designation,
            'experience'        => $job->experience,
            'qualification'     => $job->qualification,
            'email'             => $job->email,
            'salary_range'      => $job->salary_range,
            'job_type'          => $job->job_type,
            'job_tags'          => $job->job_tags,
            'vacancies'         => $job->vacancies,
            'location'          => $job->location,
            'closing_date'      => $job->closing_date,
            'description'       => $job->description,
            'responsibilities'  => $job->responsibilities,
            'featured'          => $job->featured,
            'status'            => $job->status,
            'slug'              => $job->slug,
            'user_id'           => $job->user_id,
            'user_type'         => $job->user_type,
            'upload_folder'     => $job->upload_folder,
            'deleted_at'        => $job->deleted_at,
            'created_at'        => $job->created_at,
            'updated_at'        => $job->updated_at,
            'url'               => [
                'public'    => trans_url('job/'.$job->getPublicKey()),
                'user'      => guard_url('job/job/'.$job->getRouteKey()),
            ], 
            'status'            => trans('app.'.$job->status),
            'created_at'        => format_date($job->created_at),
            'updated_at'        => format_date($job->updated_at),
        ];
    }
}