<?php

namespace Larajobs\Job\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ResumeTransformer extends TransformerAbstract
{
    public function transform(\Larajobs\Job\Models\Resume $resume)
    {
        return [
            'id'                => $resume->getRouteKey(),
            'key'               => [
                'public'    => $resume->getPublicKey(),
                'route'     => $resume->getRouteKey(),
            ], 
            'id'                => $resume->id,
            'user_id'           => $resume->user_id,
            'employee_id'       => $resume->employee_id,
            'category_id'       => $resume->category_id,
            'industry_id'       => $resume->industry_id,
            'location'          => $resume->location,
            'name'              => $resume->name,
            'slug'              => $resume->slug,
            'title'             => $resume->title,
            'email'             => $resume->email,
            'work_level'        => $resume->work_level,
            'salary_exp'        => $resume->salary_exp,
            'mobile'            => $resume->mobile,
            'tags'              => $resume->tags,
            'total_exp'         => $resume->total_exp,
            'skills'            => $resume->skills,
            'languages'         => $resume->languages,
            'content'           => $resume->content,
            'social_network'    => $resume->social_network,
            'education'         => $resume->education,
            'experience'        => $resume->experience,
            'personal_info'     => $resume->personal_info,
            'resume'            => $resume->resume,
            'photo'             => $resume->photo,
            'upload_folder'     => $resume->upload_folder,
            'status'            => $resume->status,
            'created_at'        => $resume->created_at,
            'updated_at'        => $resume->updated_at,
            'deleted_at'        => $resume->deleted_at,
            'url'               => [
                'public'    => trans_url('job/'.$resume->getPublicKey()),
                'user'      => guard_url('job/resume/'.$resume->getRouteKey()),
            ], 
            'status'            => trans('app.'.$resume->status),
            'created_at'        => format_date($resume->created_at),
            'updated_at'        => format_date($resume->updated_at),
        ];
    }
}